package com.rjconsultores.ventaboletos.web.utilerias.menu.item.relatorios;

import org.zkoss.util.resource.Labels;

import com.rjconsultores.ventaboletos.constantes.ConstantesFuncionSistema;
import com.rjconsultores.ventaboletos.web.utilerias.PantallaUtileria;
import com.rjconsultores.ventaboletos.web.utilerias.menu.DefaultItemMenuSistema;

public class ItemMenuRelatorioIntegracaoAntiFraude extends DefaultItemMenuSistema {

	public ItemMenuRelatorioIntegracaoAntiFraude() {
		super("indexController.mniRelatorioIntegracaoAntiFraude.label");
	}

	@Override
	public String getClaveMenu() {
		return ConstantesFuncionSistema.CLAVE_INTEGRACAO_ANTI_FRAUDE;
	}

	@Override
	public void ejecutar() {
		PantallaUtileria.openWindow("/gui/relatorios/filtroRelatorioIntegracaoAntiFraude.zul",
				Labels.getLabel("indexController.mniRelatorioIntegracaoAntiFraude.label"), getArgs() ,desktop);
	}

}
